#include <iostream>
#include <algorithm>
#include <bits/stdc++.h>
#include <vector>
using namespace std;

//sortiranje
void MergeSortedIntervals(vector<int>& v, int s, int m, int e)
{

    vector<int> temp;

    int i, j;
    i = s;
    j = m + 1;

    while (i <= m && j <= e)
    {

        if (v[i] <= v[j])
        {
            temp.push_back(v[i]);
            ++i;
        }
        else
        {
            temp.push_back(v[j]);
            ++j;
        }

    }

    while (i <= m)
    {
        temp.push_back(v[i]);
        ++i;
    }

    while (j <= e)
    {
        temp.push_back(v[j]);
        ++j;
    }

    for (int i = s; i <= e; ++i)
        v[i] = temp[i - s];

}

void MergeSortVector(vector<int>& v, int s, int e)
{
    if (s < e)
    {
        int m = (s + e) / 2;
        MergeSortVector(v, s, m);
        MergeSortVector(v, m + 1, e);
        MergeSortedIntervals(v, s, m, e);
    }
}

//racunanje medijane
int medijanaVektor(vector<int> niz, int sizee)
{
    MergeSortVector(niz, 1, sizee);
    //return niz[sizee/2];
    return niz.at(sizee/2);
}

int main()
{
    int i, d, c;
    cin >> d >> c;
    const int  n = d;
    const int q = c;
    int a[n];
    int b[q];
    for(i=0; i<n; i++)
    {
        cin >> a[i];
    }
    for(i=0; i<q; i++)
    {
        cin >> b[i];
    }
    int r, j;
    int ans[q];
    for(i=0; i<q; i++)
        ans[i]=0;
    vector<int> pomocni;
    for(i=0; i<q; i++)
    {
        //vector<int> pomocni;
        for(j=0; j<n; j++)
        {
            r = a[j];
            pomocni.push_back(r);
        }

        while(medijanaVektor(pomocni, pomocni.size()) != b[i])
        {
            pomocni.push_back(b[i]);

        }
        ans[i] = pomocni.size() - n;
        pomocni.clear();
    }


    for(i=0; i<q; i++)
        cout << ans[i] << endl;

    return 0;
}